Skip to main content
DELETE
Uninstall an add-on

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required
addon_resource_id
string<uuid4>
required

Query Parameters

delete
boolean
default:false
force
string | null

Response

Successful Response

marked_for_uninstall
boolean
required
commit_deferred
boolean

The change is recorded, and its Git commit waits for the cluster to sync: Git carries edits to this cluster the platform has not synced yet, and a stopped cluster syncs them, and commits this change with them, once it starts. commit_sha and commit_url are then null.

commit_sha
string | null
commit_url
string | null
pending_cluster_start
boolean

The cluster was stopped: the removal is recorded and already out of the cluster's Git repository, and the add-on is uninstalled once the cluster is running or online.